//*****************************************************************************
//
// File Name	: 'main.c'
// Title		: AD7730 example code
// Author		: Hamid Rostami, 2008
// Target MCU	: Atmel AVR series
//
// This code is distributed under the GNU Public License
//		which can be found at http://www.gnu.org/licenses/gpl.txt
//
//*****************************************************************************

#include "global.h"
#include <stdio.h>
#include <avr/io.h>

#include "ad7730.h"

int main(void){
	unsigned int value;
	
	AD_InitHW();										// Initial AD7730
	AD_writeReg24(AD_REG_w_FILTER, 0x0040, 0x0000);		// Write into Filter Register
	AD_writeReg(AD_REG_w_MODE, 0x2098, 16);				// CONTINUOUS mode for read data
	
	AD_writeReg(AD_REG_RC_DATA ,0 ,8);					// Go in CONTINUOUS Read 
	while(1){
		value = AD_readCont16();						// Read ADC
		// in this place, ADC value is into `value' variable, do your tasks with it !
	}
	
	AD_stopReadCont();									// Stop CONTINUOUS Read 
}

